Release selected or all bounded expired/orphaned upload reservations.
POST
/api/workspace/files/uploads/administration/recover
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/files/uploads/administration/recover"), Content = new StringContent("{ \"UploadSessionIds\": [ \"example\" ], \"Limit\": 1 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/files/uploads/administration/recover';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"UploadSessionIds":["example"],"Limit":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/files/uploads/administration/recover \ --header 'Content-Type: application/json' \ --data '{ "UploadSessionIds": [ "example" ], "Limit": 1 }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Request a bounded recovery pass for expired or orphaned upload sessions.
object
UploadSessionIds
Optional exact session ids. Omit to scan the bounded active set.
Array<string>
Limit
Maximum active sessions examined in this request.
integer format: int32
Examplegenerated
{ "UploadSessionIds": [ "example" ], "Limit": 1}Request a bounded recovery pass for expired or orphaned upload sessions.
object
UploadSessionIds
Optional exact session ids. Omit to scan the bounded active set.
Array<string>
Limit
Maximum active sessions examined in this request.
integer format: int32
Examplegenerated
{ "UploadSessionIds": [ "example" ], "Limit": 1}Request a bounded recovery pass for expired or orphaned upload sessions.
object
UploadSessionIds
Optional exact session ids. Omit to scan the bounded active set.
Array<string>
Limit
Maximum active sessions examined in this request.
integer format: int32
Examplegenerated
{ "UploadSessionIds": [ "example" ], "Limit": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Summary of a bounded expired/orphaned upload recovery pass.
object
ExaminedCount
integer format: int32
EligibleCount
integer format: int32
ReleasedCount
integer format: int32
ReleasedUploadSessionIds
Array<string>
SkippedUploadSessionIds
Array<string>
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}